gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: nlnet Dockerfile


From: gnunet
Subject: [taler-deployment] branch master updated: nlnet Dockerfile
Date: Thu, 02 Mar 2023 20:08:47 +0100

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 34ec79c  nlnet Dockerfile
34ec79c is described below

commit 34ec79cb93d2b3ce17aa2be3b258be1a643b0e1b
Author: MS <ms@taler.net>
AuthorDate: Thu Mar 2 20:07:57 2023 +0100

    nlnet Dockerfile
---
 nlnet/task1/Dockerfile | 15 +++++++++++++++
 nlnet/task1/start.sh   |  9 +++++++++
 2 files changed, 24 insertions(+)

diff --git a/nlnet/task1/Dockerfile b/nlnet/task1/Dockerfile
new file mode 100644
index 0000000..87c7b58
--- /dev/null
+++ b/nlnet/task1/Dockerfile
@@ -0,0 +1,15 @@
+FROM debian:stable
+
+RUN apt-get update
+RUN apt-get install -y openjdk-17-jre git python3-pip curl jq
+RUN pip3 install click requests
+
+# Installation
+RUN git clone git://git.taler.net/libeufin
+WORKDIR /libeufin
+RUN ./bootstrap
+RUN ./configure --prefix=/usr/local
+RUN make install
+
+COPY start.sh /
+ENTRYPOINT /start.sh
diff --git a/nlnet/task1/start.sh b/nlnet/task1/start.sh
new file mode 100755
index 0000000..8980b9b
--- /dev/null
+++ b/nlnet/task1/start.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -eu
+
+export 
LIBEUFIN_SANDBOX_ADMIN_PASSWORD=${LIBEUFIN_SANDBOX_ADMIN_PASSWORD:-admin}
+export 
LIBEUFIN_SANDBOX_DB_CONNECTION="jdbc:sqlite:/libeufin-data/libeufin.sqlite"
+libeufin-sandbox config --without-registrations --currency ${CURRENCY:-EUR} 
default
+
+libeufin-sandbox serve --no-localhost-only

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]